Edit Currency
curl --request PUT \
--url https://api.{tenant}.getomneo.com/api/v3/currencies/{currency} \
--header 'Content-Type: application/json' \
--data '
{
"rate": 123,
"manual_rate": 123,
"market_rate": 123,
"market_rate_date": "2023-12-25",
"use_market_rate": true
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}"
payload = {
"rate": 123,
"manual_rate": 123,
"market_rate": 123,
"market_rate_date": "2023-12-25",
"use_market_rate": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
rate: 123,
manual_rate: 123,
market_rate: 123,
market_rate_date: '2023-12-25',
use_market_rate: true
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'rate' => 123,
'manual_rate' => 123,
'market_rate' => 123,
'market_rate_date' => '2023-12-25',
'use_market_rate' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}"
payload := strings.NewReader("{\n \"rate\": 123,\n \"manual_rate\": 123,\n \"market_rate\": 123,\n \"market_rate_date\": \"2023-12-25\",\n \"use_market_rate\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}")
.header("Content-Type", "application/json")
.body("{\n \"rate\": 123,\n \"manual_rate\": 123,\n \"market_rate\": 123,\n \"market_rate_date\": \"2023-12-25\",\n \"use_market_rate\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"rate\": 123,\n \"manual_rate\": 123,\n \"market_rate\": 123,\n \"market_rate_date\": \"2023-12-25\",\n \"use_market_rate\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"from": "<string>",
"to": "<string>",
"rate": 123,
"manual_rate": 123,
"market_rate": 123,
"market_rate_date": "<string>",
"use_market_rate": true,
"is_system": true,
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Currency
Edit Currency
A PUT to the /currencies/{currency} endpoint allows your application to edit currency.
PUT
/
v3
/
currencies
/
{currency}
Edit Currency
curl --request PUT \
--url https://api.{tenant}.getomneo.com/api/v3/currencies/{currency} \
--header 'Content-Type: application/json' \
--data '
{
"rate": 123,
"manual_rate": 123,
"market_rate": 123,
"market_rate_date": "2023-12-25",
"use_market_rate": true
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}"
payload = {
"rate": 123,
"manual_rate": 123,
"market_rate": 123,
"market_rate_date": "2023-12-25",
"use_market_rate": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
rate: 123,
manual_rate: 123,
market_rate: 123,
market_rate_date: '2023-12-25',
use_market_rate: true
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'rate' => 123,
'manual_rate' => 123,
'market_rate' => 123,
'market_rate_date' => '2023-12-25',
'use_market_rate' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}"
payload := strings.NewReader("{\n \"rate\": 123,\n \"manual_rate\": 123,\n \"market_rate\": 123,\n \"market_rate_date\": \"2023-12-25\",\n \"use_market_rate\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}")
.header("Content-Type", "application/json")
.body("{\n \"rate\": 123,\n \"manual_rate\": 123,\n \"market_rate\": 123,\n \"market_rate_date\": \"2023-12-25\",\n \"use_market_rate\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"rate\": 123,\n \"manual_rate\": 123,\n \"market_rate\": 123,\n \"market_rate_date\": \"2023-12-25\",\n \"use_market_rate\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"from": "<string>",
"to": "<string>",
"rate": 123,
"manual_rate": 123,
"market_rate": 123,
"market_rate_date": "<string>",
"use_market_rate": true,
"is_system": true,
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Path Parameters
The currency ID
Body
application/json
Leaving this out keeps the rate the currency already has, so one rate may be revised without restating the others.
The trading day the market rate is the rate for. Required whenever a
market rate is supplied, and given as YYYY-MM-DD.
Response
Currency
Show child attributes
Show child attributes